%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This program loads results from fortran and plots Figure 2 in Ju and Miao
% (2009)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

s1=load('COND_MEAN_FIG2.DAT');
s2=load('COND_STD_FIG2.DAT');

subplot(1,2,1);
plot(s1(:,1),s1(:,2),':',s1(:,1),s1(:,3),'--',s1(:,1),s1(:,4),'LineWidth',2),
xlabel('State beliefs: \mu_t=Pr(z_{t+1}=1|s^t)'),
%axis([0.0,1.0,8,27]),
legend('\eta=2.0','\eta=5.0','\eta=8.864',2),
title('A. Conditional expected equity premium')

subplot(1,2,2);
plot(s2(:,1),s2(:,2),':',s2(:,1),s2(:,3),'--',s2(:,1),s2(:,4),'LineWidth',2),
xlabel('State beliefs: \mu_t=Pr(z_{t+1}=1|s^t)'),
%axis([0.0,1.0,8,27]),
legend('\eta=2.0','\eta=5.0','\eta=8.864',2),
title('B: Conditional volatility of equity premium')

%print -dpsc 'c:\papers\ambiguity\figure2.eps'
