%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This program loads results from fortran and plots Figure 3 in Ju and Miao
% (2011)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

s=load('CONS_PI_COND_FIG3.DAT');

PRATIO = load('PDR_PCR_FIG3.DAT');

APREM = load('Ambi_Prem_FIG3.DAT');

subplot(3,2,1);
plot(s(:,1),s(:,2)/100),
%ylabel('Consumption growth'),
axis([1890,1994,-0.15,0.15]),
title('A. Consumption growth')

subplot(3,2,2);
plot(s(:,1),s(:,3)),
%ylabel('Posterior belief'),
axis([1890,1994,0.45,1.0]),
title('B. Posterior belief')

subplot(3,2,3);
plot(s(:,1),PRATIO(:,3)),
%ylabel('Conditional equity premium volatility'),
%legend('P/D','0.5*P/C',4)
axis([1890,1994,13,22]),
title('C. Price-dividend ratio')

subplot(3,2,4);
plot(s(:,1),PRATIO(:,4)),
%ylabel('Conditional equity premium volatility'),
%legend('P/D','0.5*P/C',4)
axis([1890,1994,42,46]),
title('D. Price-consumption ratio')

subplot(3,2,5);
plot(s(:,1),s(:,4)/100,s(:,1),APREM(:,4)/100,'.-'),
%ylabel('Conditional expected equity premium'),
%legend('Equity premium','Ambiguity premium',1)
title('E. Cond. equity and ambiguity premiums')
axis([1890,1994,0,0.3]),

subplot(3,2,6);
plot(s(:,1),s(:,5)/100),
%ylabel('Conditional equity premium volatility'),
axis([1890,1994,0.1,0.55]),
title('F. Conditional equity premium volatility')

print -dpsc2 fig3new